=== debian/changelog ===
empire-lafe (0.39) frozen unstable; urgency=low

  * fixed Bug#31975 : Glibc 2.1 stdout initializer
  * Relink with ncurses4.2

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Sun, 17 Jan 1999 02:13:05 +1100

empire-lafe (0.38) unstable; urgency=low

  * Cleaned up a bunch of -Wall warnings
  * Store lafe variables in environment
  * Added manpage, changed default empire server

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Wed,  7 Oct 1998 08:36:31 +1000

empire-lafe (0.37) unstable; urgency=low

  * Initial Release.

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Wed,  7 Oct 1998 02:18:40 +1000

Local variables:
mode: debian-changelog
End:
