=== debian/control ===
Source: empire-lafe
Section: games
Priority: optional
Maintainer: Drake Diedrich <Drake.Diedrich@anu.edu.au>
Standards-Version: 2.4.0.0

Package: empire-lafe
Architecture: any
Depends: ${shlibs:Depends}
Description: Fast line-mode Empire client
 Lafe is an empire client optimized for high latency links.  You can type,
 edit, and send several commands before the server replies with
 output from the first command.  This allows you to make better use
 of the existing bandwidth than most other clients.
