## empire-lafe 0.41

=== debian/changelog ===
empire-lafe (0.41) unstable; urgency=low

  * Recompiled for policy 3.2.1.0 compliance
  * Added Build-Depends: matching
    http://buildd.debian.org/andrea/i386/source-dependencies.andrea-unstable
  * Added debhelper Build-Depends: (Closes: #70312)
  * Changed debian/copyright to point to new GPL filesystem location
  * Typo in previous changelog (the readline libs).  (Closes: #66603)

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Wed, 17 Jan 2001 11:35:28 +1100

empire-lafe (0.40) unstable; urgency=low

  * Recompiled with new readline libs (closes: #
  * Removed internal readline sources, let the users fetch them if
    necessary
  * Added copyright messages and COPYING file
  * Doh - remove frozen from changelog, reupload.

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Tue, 18 Jul 2000 11:41:08 +1000
