## empire-lafe 1.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 0.15 1996/09/12 00:34:00 dld Exp $
+# $Id: Makefile,v 1.2 2003/09/05 07:34:35 dld Exp $
 #
 # Makefile for lafe (Latency Free Empire)
 #
@@ -32,7 +32,7 @@
 #
 
 linux:  $(OBJ) 
-	$(CC) $(LDFLAGS) -o lafe $(OBJ) -lreadline -lcurses 
+	$(CC) $(LDFLAGS) -o lafe $(OBJ) -lreadline
 
 # the Irix 6 target uses the -32 flag to be runnable on Irix5
 irix6:
@@ -74,11 +74,14 @@
 readline/config.status:
 	cd readline ; CFLAGS='$(CFLAGS)' ./configure
 
+ChangeLog:
+	cvs2cl
+
 clean:
-	-rm -f readline/core lafe *.o lafe.tar.gz example.tar.gz
+	-rm -f lafe *.o lafe.tar.gz example.tar.gz
 
 distclean: clean
-	-cd readline ; make distclean
+	rm -f ChangeLog
 
 dist: distclean
 	cd .. ; tar cf - lafe/Makefile lafe/lafe.c lafe/lafe.h lafe/alias.c lafe/parse.c lafe/history.c lafe/var.c lafe/game.c lafe/README lafe/ChangeLog lafe/TODO lafe/example lafe/readline | gzip -9 >lafe/lafe.tar.gz
