## empire-lafe 1.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.2 2003/09/05 07:34:35 dld Exp $
+# $Id: Makefile,v 1.3 2009/11/06 17:38:41 hmless Exp $
 #
 # Makefile for lafe (Latency Free Empire)
 #
@@ -12,7 +12,7 @@
 #  Good luck debugging/porting it if your machine isn't a supported target
 #  of readline.
 #
-#     -Drake (harmless@empire.net)
+#     -Drake (dld@debian.org)
 
 
 
@@ -32,7 +32,7 @@
 #
 
 linux:  $(OBJ) 
-	$(CC) $(LDFLAGS) -o lafe $(OBJ) -lreadline
+	$(CC) $(LDFLAGS) -o lafe $(OBJ) -lreadline -lcurses
 
 # the Irix 6 target uses the -32 flag to be runnable on Irix5
 irix6:
@@ -83,7 +83,6 @@
 distclean: clean
 	rm -f ChangeLog
 
-dist: distclean
-	cd .. ; tar cf - lafe/Makefile lafe/lafe.c lafe/lafe.h lafe/alias.c lafe/parse.c lafe/history.c lafe/var.c lafe/game.c lafe/README lafe/ChangeLog lafe/TODO lafe/example lafe/readline | gzip -9 >lafe/lafe.tar.gz
-	cd .. ; tar cf - lafe/README lafe/example | gzip -9 > lafe/example.tar.gz
+dist: distclean ChangeLog
+	cd .. ; tar cf - --exclude CVS lafe/Makefile lafe/lafe.c lafe/lafe.h lafe/alias.c lafe/parse.c lafe/history.c lafe/var.c lafe/game.c lafe/README lafe/ChangeLog lafe/TODO lafe/example lafe/lafe.6 | gzip -9 >lafe/lafe.tar.gz
