=== debian/changelog ===
empire-lafe (1.1-1.2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:45:59 +1100

empire-lafe (1.1-1.2build1) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:53:24 +0100

empire-lafe (1.1-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1043153)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make (Closes: #939612)

 -- Bastian Germann <bage@debian.org>  Mon, 02 Oct 2023 21:59:55 +0200

empire-lafe (1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999280).

 -- Marcos Talau <talau@debian.org>  Wed, 02 Nov 2022 18:09:17 -0300

empire-lafe (1.1-1) unstable; urgency=low

  * New upstream (Closes: #554326)
  * Build-Depend on libreadline-dev (Closes: #553751)
  * Switch default to current wolfpackempire blitz visitor account
  * lintian: Update packaging standards
  * lintian: remove CVS dirs
  * lintian: notice make clean errors
  * lintian: switch to dh_installman
  * lintian: switch from dh_clean to dh_prep
  * lintian: manpage cleanup

 -- Drake Diedrich <dld@debian.org>  Fri, 06 Nov 2009 08:13:53 -0800

empire-lafe (1.0-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * Build-dep on libreadline5 (Closes: #326372).

 -- Luk Claes <luk@debian.org>  Tue, 27 Dec 2005 19:31:58 +0100

empire-lafe (1.0) unstable; urgency=low

  * Rewrite all the deep readline interaction
  * The "Have you stopped violating readline?" release

 -- Drake Diedrich <dld@debian.org>  Sun,  7 Sep 2003 13:59:53 -0700

empire-lafe (0.42) unstable; urgency=low

  * Rebuild with new gcc

 -- Drake Diedrich <dld@coyote.com.au>  Fri, 11 Jul 2003 10:20:02 -0700
