=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: empire-lafe
 Section: games
 Priority: optional
-Maintainer: Drake Diedrich <Drake.Diedrich@anu.edu.au>
-Standards-Version: 3.2.1.0
-Build-Depends: libreadline4-dev (>= 4.1), libncurses5-dev, debhelper
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Drake Diedrich <dld@debian.org>
+Standards-Version: 3.8.3
+Build-Depends: libreadline-dev, libncurses5-dev, debhelper (>= 7)
 
 Package: empire-lafe
 Architecture: any
